Debian DSA-5228-1: gdk-pixbuf - セキュリティ更新

high Nessus プラグイン ID 164943

概要

リモートの Debian ホストに 1 つまたは複数のセキュリティ関連の更新プログラムがありません。

説明

リモートの Debian 11 ホストには、dsa-5228 のアドバイザリに記載された複数の脆弱性の影響を受けるパッケージがインストールされています。

- GNOME gdk-pixbuf 2.42.6 には、GIF ファイルの lzw 圧縮画像データのストリームを、lzw の最小コードサイズが 12 に等しい状態でデコードする際に、ヒープバッファオーバーフローの脆弱性が存在します。(CVE-2021-44648)

- 2.42.8より前の GNOME GdkPixbuf (別名 GDK-PixBuf) により、io-gif-animation.c Composite_frame によって実証されているように、GIF ファイルのフレームを合成または消去する際に、ヒープベースのバッファオーバーフローが発生する可能性があります。このオーバーフローは制御可能であり、特に 32 ビットシステムではコード実行のために悪用される可能性があります。(CVE-2021-46829)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

影響を受ける gdk-pixbuf パッケージをアップグレードしてください。

安定版 (stable) ディストリビューション (bullseye) では、これらの問題はバージョン 2.42.2+dfsg-1+deb11u1 で修正されています。

関連情報

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1014600

https://security-tracker.debian.org/tracker/source-package/gdk-pixbuf

https://www.debian.org/security/2022/dsa-5228

https://security-tracker.debian.org/tracker/CVE-2021-44648

https://security-tracker.debian.org/tracker/CVE-2021-46829

https://packages.debian.org/source/bullseye/gdk-pixbuf

プラグインの詳細

深刻度: High

ID: 164943

ファイル名: debian_DSA-5228.nasl

バージョン: 1.2

タイプ: local

エージェント: unix

公開日: 2022/9/12

更新日: 2022/9/12

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-44648

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:debian:debian_linux:gdk-pixbuf-tests, p-cpe:/a:debian:debian_linux:gir1.2-gdkpixbuf-2.0, p-cpe:/a:debian:debian_linux:libgdk-pixbuf-2.0-0, p-cpe:/a:debian:debian_linux:libgdk-pixbuf-2.0-0-udeb, p-cpe:/a:debian:debian_linux:libgdk-pixbuf-2.0-dev, p-cpe:/a:debian:debian_linux:libgdk-pixbuf2.0-0-udeb, p-cpe:/a:debian:debian_linux:libgdk-pixbuf2.0-bin, p-cpe:/a:debian:debian_linux:libgdk-pixbuf2.0-common, p-cpe:/a:debian:debian_linux:libgdk-pixbuf2.0-doc, cpe:/o:debian:debian_linux:11.0

必要な KB アイテム: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/9/11

脆弱性公開日: 2022/1/12

参照情報

CVE: CVE-2021-44648, CVE-2021-46829